## net.i2p.router.transport.udp
Class UDPPacketReader.SessionConfirmedReader

    java.lang.Object
      net.i2p.router.transport.udp.UDPPacketReader.SessionConfirmedReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.SessionConfirmedReader

extends Object

parse out the confirmed message

Constructor Summary
`UDPPacketReader.SessionConfirmedReader()`

Method Summary
`int` `readCurrentFragmentNum()` which fragment is this?
`int` `readCurrentFragmentSize()`
`long` `readFinalFragmentSignedOnTime()` read the time at which the signature was generated
`void` `readFinalSignature(byte[] target, int targetOffset)` read the signature from the final sessionConfirmed packet
`void` `readFragmentData(byte[] target, int targetOffset)` read the fragment data from the nonterminal sessionConfirmed packet
`int` `readTotalFragmentNum()` how many fragments will there be?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPPacketReader.SessionConfirmedReader

    public UDPPacketReader.SessionConfirmedReader()

Method Detail

### readCurrentFragmentNum

    public int readCurrentFragmentNum()

  which fragment is this?

### readTotalFragmentNum

    public int readTotalFragmentNum()

  how many fragments will there be?

### readCurrentFragmentSize

    public int readCurrentFragmentSize()

### readFragmentData

    public void readFragmentData(byte[] target,
                                 int targetOffset)

  read the fragment data from the nonterminal sessionConfirmed packet

### readFinalFragmentSignedOnTime

    public long readFinalFragmentSignedOnTime()

  read the time at which the signature was generated

### readFinalSignature

    public void readFinalSignature(byte[] target,
                                   int targetOffset)

  read the signature from the final sessionConfirmed packet